%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%define module_name jwcrypto

Name:           python-jwcrypto
Version:        0.2.0
Release:        1%{?dist}
Summary:        Implements JWK,JWS,JWE specifications using python-cryptography

License:        LGPLv3+
URL:            https://github.com/simo5/%{module_name}
Source0:        https://github.com/simo5/%{module_name}/releases/download/v%{version}/jwcrypto-%{version}.tar.gz
Source1:        https://github.com/simo5/%{module_name}/releases/download/v%{version}/jwcrypto-%{version}.tar.gz.sha512sum.txt

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-cryptography
Requires:       python-cryptography

%description
Implements JWK,JWS,JWE specifications using python-cryptography

%prep
grep `sha512sum %{SOURCE0}` %{SOURCE1} || (echo "Checksum invalid!" && exit 1)
%setup -q -n %{module_name}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc %dir %{_docdir}/%{module_name}
%doc %{_docdir}/%{module_name}/README.md
%license %{_docdir}/%{module_name}/LICENSE
%{python_sitelib}/*


%changelog
* Tue Jun 16 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.2.0-1
- Initial packaging
